# Generate observance idea

```http
POST https://api.synup.com/api/v4/social-post-ideas/generate-observance-idea
```

Generates a post idea for a given observance/holiday for a brand. Optionally steer with an `observanceDate` and a `hint`.

Source: https://developer.synup.com/api/social-post-ideas/generate-observance-idea

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `socialProfileId` | string | required |  |
| `observanceName` | string | required |  |
| `observanceDate` | string | optional |  |
| `hint` | string | optional |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/social-post-ideas/generate-observance-idea' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "socialProfileId": "6f1c2a90-...",
  "observanceName": "Earth Day"
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
